// ensure this library description is only included once
#ifndef Vinculum_Serial_h
#define Vinculum_Serial_h

#include "WProgram.h"
// library interface description
class Vinculum_Serial
{	
	public:
		Vinculum_Serial(int RTS, int CTS, int DT_ack, int DT_req, int DCD, int RI, int BaudRate);
		void Config_Cmd();
		void OpenDir();
		void ChangeDir(char *FileName);
		void MakeDir(char *FileName);
		void DeleteDir(char *FileName);
		void ListFile(char *FileName);
		void DeleteFile(char *FileName);
		void ReadFile(char *FileName);
		void RenameFile_Dir(char *lastName, char *newName);
		void CloseFile(char *FileName);
		void Open_ReadFile(char *FileName, char *Byte);
		void CreateFile(char *FileName);
		void Write_CreateFile(char *FileName, char *data);
	private:
		int _RTS;
		int _CTS;
		int _DT_ack;
		int _DT_req;
		int _DCD;
		int _RI;
		int _BaudRate;
	
};

#endif

